Subject: Re: [PATCH v4 00/12] Cleanup xdfile_t and xrecord_t in xdiff.

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Sep 2025 07:12:30 -0700

Ezekiel Newren <[email-masked]> writes:

> I apologize for my previous phrasing. I was not very tactful. Yes, I
> think your suggestion is a good idea. I'll incorporate that into my
> patches.

I didn't get an impression that you were _not_ tactful at all.  If
the arrangement is like what I outlined in the message you are
responding to, I am perfectly fine if the type of changed[] is an
array of bool.  The only thing I found was disturbing was the idea
to assign 2 into a _Bool.  Comparing a _Bool, which can be either 0
oor 1, and find it is different from litral 2 (or MAYBE that is
defined to be 2) is perfectly fine.

Thanks.